Bug 14961 - Remove C4::Dates from files reports/*_stats.pl
Summary: Remove C4::Dates from files reports/*_stats.pl
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Marc Véron
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 14870
  Show dependency treegraph
 
Reported: 2015-10-05 21:31 UTC by Marc Véron
Modified: 2016-06-21 21:40 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Medium patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 14961 - Remove C4::Dates from files reports/*_stats.pl (10.23 KB, patch)
2015-10-05 22:00 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 14961 - Remove C4::Dates from files reports/*_stats.pl (10.27 KB, patch)
2015-10-26 07:45 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 14961 - Remove C4::Dates from files reports/*_stats.pl (10.34 KB, patch)
2015-10-26 09:04 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Marc Véron 2015-10-05 21:31:41 UTC
Remove C4::Dates from following files:

- reports/acquisitions_stats.pl
- reports/borrowers_stats.pl
- reports/reserves_stats.pl
- reports/serials_stats.pl
- reports/issues_avg_stats.pl
- reports/issues_stats.pl
Comment 1 Marc Véron 2015-10-05 22:00:42 UTC Comment hidden (obsolete)
Comment 2 Marc Véron 2015-10-23 09:29:47 UTC
Still applies.
Comment 3 Josef Moravec 2015-10-26 07:45:30 UTC Comment hidden (obsolete)
Comment 4 Jonathan Druart 2015-10-26 09:04:20 UTC
Created attachment 43976 [details] [review]
Bug 14961 - Remove C4::Dates from files reports/*_stats.pl

Remove C4::Dates from following files:

- reports/acquisitions_stats.pl
- reports/borrowers_stats.pl
- reports/reserves_stats.pl
- reports/serials_stats.pl
- reports/issues_avg_stats.pl
- reports/issues_stats.pl

To test:
- Go to Home > Reports
- Verify that following reports work as before:
  - Other > Average loan time
  - Statistic wizards
    - Acquisitions
    - Patrons
    - Circulation
    - Serials
    - Holds

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 5 Tomás Cohen Arazi 2015-10-26 14:22:36 UTC
Patch pushed to master.

Thanks Marc!